
rgw - Bug #21802

rgw: rgw_metadata.cc:read_history() should recover from empty buffer returned

10/13/2017 09:19 PM - Yehuda Sadeh

Status: In Progress % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Yehuda Sadeh   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Managed to get to a point where meta.history was a zero sized object. Should probably return -ENOENT in that specific case.

History

#1 - 10/19/2017 06:19 PM - Orit Wasserman

- Assignee set to Marcus Watts

#2 - 10/19/2017 06:20 PM - Orit Wasserman

- Assignee changed from Marcus Watts to Mark Kogan

#3 - 10/26/2017 05:48 PM - Matt Benjamin

- Status changed from New to In Progress

#4 - 10/31/2017 04:02 PM - Orit Wasserman

- Assignee changed from Mark Kogan to Yehuda Sadeh

#5 - 10/31/2017 04:05 PM - Yehuda Sadeh

https://github.com/yehudasa/ceph/commit/e22a5ab6adf81110f231f7ebf75a15cd08026abf
